import { App } from "astal/gtk4"
import style from "./style.scss"

import notifications from "./components/notifications/handler";
import Bar from "./components/bar/ui/Bar";

App.start({
    instanceName: "runner",
    css: style,
    main() {
        notifications.startNotificationHandler( App.get_monitors()[0] );
        // TODO: Monitor handling
        Bar.Bar( App.get_monitors()[0] );
    },
    requestHandler(request, res) {
        const args = request.trimStart().split( ' ' );

        // Notifications (TODO: Handle the arguments in the components themselves)
        if ( args[ 0 ] === 'notifier' ) {
            res( notifications.cliHandler( args ) );
        } else if ( args[ 0 ] === 'bar' ) {
            res( Bar.cliHandler( args ) );
        }
    },
})
